Package io.papermc.paper.chat

# Interface ChatRenderer.ViewerUnaware

Enclosing interface:
  ChatRenderer

public static interface ChatRenderer.ViewerUnaware
Similar to `ChatRenderer`, but without knowledge of the message viewer.

See Also:
  - `ChatRenderer.viewerUnaware(ViewerUnaware)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Component`
`render(@NotNull Player source, @NotNull Component sourceDisplayName, @NotNull Component message)`
Renders a chat message.

## Method Details

### render

@NotNull @NotNull Component render(@NotNull @NotNull Player source, @NotNull @NotNull Component sourceDisplayName, @NotNull @NotNull Component message)
Renders a chat message.

Parameters:
  `source` - the message source
  `sourceDisplayName` - the display name of the source player
  `message` - the chat message
Returns:
  a rendered chat message